/* .font-link {
  font-family: 'Hanalei Fill', cursive;
} */

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-BlackItalic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-BoldItalic.ttf") format("truetype");
  font-weight: 700;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Italic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-LightItalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-Thin.ttf") format("truetype");
  font-weight: 100;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../fonts/Roboto-ThinItalic.ttf") format("truetype");
  font-weight: 100;
  font-style: italic;
}

body {
  margin: 25px;
  font-size: 16px;
  background-color: #f2f3f5;
  font-weight: 400;
  font-family: Poppins;
  font-style: normal;
}

/* media queries */

@media(max-width: 767px) {
  .order-name-track .tracking-order-name-list {
    font-size: 14px;
  }

  .tracking-detail {
    padding-top: 0rem;
  }

  .tracking-detail .tracking-detail-card-wrapper:not(:last-child) {
    margin-bottom: 1.5rem;
  }

  .tracking-detail .title {
    text-align: center;
    margin: 0.5rem 0 1rem;
  }

  .css-1ds0wnx-TimelineItemContentWrapper {
    width: 100%;
  }

  .css-1xkv5f2-TimelineCardContentWrapper {
    width: 100%;
  }

  .timeline-card-content {
    width: 100%;
  }

  .active css-1n1tbkb-TimelineContentDetails emk90bu6 .table-heading {
    font-size: 12px;
    white-space: nowrap;
    padding-right: 15px;
  }

  .table-row-size-style {
    font-size: 10px;
    font-weight: 500;
    line-height: 1.8;
  }

  .css-wmu8f1-TimelineContentDetailsWrapper.show-less {
    max-height: 5px !important;
  }

  .css-1eg5jlz-ShowMore {
    margin: 0 !important;
    padding: 0.5rem !important;
  }

  .not-found-card {
    padding-top: 30px;
  }

  .not-found-card .MuiPaper-root {
    width: 100%;
  }

  .MuiCardContent-root:last-child {
    padding: 15px;
    font-weight: 600;
    font-size: 20px;
  }
}

@media (min-width: 768px) and (max-width:1024px) {
  .order-name-track {
    font-size: 32px;
  }

  .tracking-order-name-list {
    padding: 15px;
  }

  .tracking-order-name-list li {
    font-size: 25px;
  }

  .tracking-detail .card {
    max-width: 650px;
  }

  .tracking-detail .title {
    text-align: center;
    font-size: 25px;
  }

  .card-title p {
    font-size: 22px;
  }

  .fa-solid {
    font-size: 25px;
  }

  .table-heading {
    font-size: 20px;
  }

  .table-row-size-style {
    font-size: 18px;
    padding-right: 10px;
    padding-top: 12px;
    line-height: 1.6;
  }

  .css-1eg5jlz-ShowMore {
    font-size: 16px !important;
  }

  .card-content-wrapper {
    width: 100% !important;
  }

  .timeline-card-content {
    width: 100% !important;
  }

  .css-wmu8f1-TimelineContentDetailsWrapper.show-less {
    max-height: 0px !important;
  }
}

.tracking-detail {
  padding-top: 2.5rem;
  padding-bottom: 2.5rem;
}

.css-fjzh6-TimelineCardTitle {
  font-size: 1rem;
}

.tracking-detail .tracking-detail-card-wrapper:not(:last-child) {
  margin-bottom: 2rem;
}

.tracking-detail .title {
  font-size: 18px;
  margin: 0px 0px 20px 0px;
}

.tracking-detail .card {
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}

.tracking-detail .card-content-wrapper .card-description {
  display: block;
}

.MuiCardContent-root .css-5qnbdr-TimelineMainWrapper {
  width: auto;
  padding: 0px;
}

.css-1iv48dl-TimelineVerticalWrapper {
  padding: 0px;
}

.css-swzoo7-TimelineItemContentWrapper .card-title p {
  margin: 0px;
}

.table-heading {
  padding-right: 20px;
}

.table-row-size-style {
  font-size: 12px;
  padding-right: 10px;
}

.show-more .css-1eg5jlz-ShowMore .emk90bu3 {
  position: relative;
  right: 295px;
  display: block;
}

.timeline-card-content .css-sf0pmz-TimelineItemContentWrapper .emk90bu10 {
  line-height: 2.5em;
}

.tracking-order-name-list {
  text-align: center;
  margin: auto;
  padding: 10px;
  font-size: medium;
  color: #878787;
}

.order-name-track {
  text-align: center;
  font-size: x-large;
  font-weight: bold;
}

.not-found-card {
  display: flex;
  justify-content: center;
  align-items: center;
}

.not-found-card-style {
  height: 150px;
  width: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}